package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.MsType;
import org.josast.amicalsat.FrameTlmAmicalsat.V1Type;


//#[V1/U2];MS;[Timestamp];[Current rssi];[Latch rssi];[AFC offset ]
public class V1MsTypeFrame extends Frame {

	private String timeStamps;
	private String currentRssi;
	private String latchRssi;
	private String aFCOffset;

	@Override
	public void setUp(FrameTlmAmicalsat cube) {
		V1Type u2type = (V1Type) cube.frameTlmEntrySat().payload().tlmAreaSwitch();
		MsType mstype = (MsType) u2type.tlmsw();
		
		 timeStamps = mstype.timeStamps();
		hash.put("timeStamps", timeStamps);
		 currentRssi = mstype.currentRssi();
		hash.put("currentRssi", currentRssi);
		 latchRssi = mstype.latchRssi();
		hash.put("latchRssi", latchRssi);
		 aFCOffset = mstype.aFCOffset();
		hash.put("aFCOffset", aFCOffset);
					
			

		
	}



}
